Attribute VB_Name = "modApiMouse"
Option Explicit

Declare Sub mouse_event Lib "user32" (ByVal dwFlags As Long, ByVal dx As Long, ByVal dy As Long, ByVal cButtons As Long, ByVal dwExtraInfo As Long)
Public Declare Function SetCursorPos Lib "user32" (ByVal X As Long, ByVal Y As Long) As Long
Public Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Public Declare Function ShowCursor Lib "user32" (ByVal bShow As Long) As Long

Public Type POINTAPI
        X As Long
        Y As Long
End Type

Public Const MOUSEEVENTF_LEFTDOWN = &H2
Public Const MOUSEEVENTF_LEFTUP = &H4
Public Const MOUSEEVENTF_RIGHTDOWN = &H8
Public Const MOUSEEVENTF_RIGHTUP = &H10
Public Const MOUSEEVENTF_MOVE = &H1

Public Sub SetMousePosition(X, Y)
SetCursorPos X, Y
End Sub

Public Sub DoMouseAction(Action)
On Error Resume Next
Select Case Action
Case 0 ' click izquierdo
    mouse_event MOUSEEVENTF_LEFTDOWN, 0, 0, 0, 0
    DoEvents
    mouse_event MOUSEEVENTF_LEFTUP, 0, 0, 0, 0
    DoEvents
Case 1 ' click derecho
    mouse_event MOUSEEVENTF_RIGHTDOWN, 0, 0, 0, 0
    DoEvents
    mouse_event MOUSEEVENTF_RIGHTUP, 0, 0, 0, 0
    DoEvents
Case 2 ' doble click
    mouse_event MOUSEEVENTF_LEFTDOWN, 0, 0, 0, 0
    DoEvents
    mouse_event MOUSEEVENTF_LEFTUP, 0, 0, 0, 0
    DoEvents
    mouse_event MOUSEEVENTF_LEFTDOWN, 0, 0, 0, 0
    DoEvents
    mouse_event MOUSEEVENTF_LEFTUP, 0, 0, 0, 0
    DoEvents
Case 3 ' izquierdo abajo
    mouse_event MOUSEEVENTF_LEFTDOWN, 0, 0, 0, 0
    DoEvents
Case 4 ' izquierdo arriba
    mouse_event MOUSEEVENTF_LEFTUP, 0, 0, 0, 0
    DoEvents
End Select
End Sub
