Attribute VB_Name = "modFunciones"
Option Explicit

Public Function Desp(strCadena As String, intDesp As Integer) As String
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intAux As Integer, strTemporal As String
strTemporal = ""
For intAux = 1 To Len(strCadena)
  strTemporal = strTemporal & Chr(Asc(Mid(strCadena, intAux, 1)) + intDesp)
Next intAux
Desp = strTemporal
End Function


Public Function NombreDeArchivo(strNombreCompleto As String) As String
'Quita el path que antecede al nombre del archivo
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intUltimaBarra As Integer
intUltimaBarra = 0
Do
  intUltimaBarra = InStr(intUltimaBarra + 1, strNombreCompleto, "\")
Loop While (InStr(intUltimaBarra + 1, strNombreCompleto, "\") <> 0)
NombreDeArchivo = Mid(strNombreCompleto, intUltimaBarra + 1, Len(strNombreCompleto) - intUltimaBarra + 1)
End Function


Public Function QuitarExtension(strNombreCompleto As String) As String
'Quita las ltimas letras luego del ltimo punto
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
If (InStr(1, strNombreCompleto, ".") <> 0) Then
  QuitarExtension = Mid(strNombreCompleto, 1, InStr(1, strNombreCompleto, ".") - 1)
Else
  QuitarExtension = strNombreCompleto
End If
End Function


Public Function Ruta(strNombreCompleto As String) As String
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim strAux As String
If (strNombreCompleto = "") Then
  strAux = ""
Else
  strAux = Mid(strNombreCompleto, 1, Len(strNombreCompleto) - Len(NombreDeArchivo(strNombreCompleto)) - 1)
End If
Ruta = strAux
End Function


Public Function NombreIncorrecto(strNombre As String) As Boolean
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim blnAux As Boolean, intAux As Integer
blnAux = False
For intAux = 1 To Len(strNombre)
  If ((UCase(Mid(strNombre, intAux, 1)) < "A") Or (UCase(Mid(strNombre, intAux, 1)) > "Z")) Then
    If ((Mid(strNombre, intAux, 1) < "0") Or (Mid(strNombre, intAux, 1) > "9")) Then
      If (Mid(strNombre, intAux, 1) <> " ") Then blnAux = True
    End If
  End If
Next intAux
NombreIncorrecto = blnAux
End Function


Public Function ExisteArchivo(strArchivo As String) As Boolean
On Error GoTo ErrorEnExisteArchivo
Dim intNumFich As Integer
intNumFich = FreeFile
Open strArchivo For Input As intNumFich
Close intNumFich
ExisteArchivo = True

Exit Function

ErrorEnExisteArchivo:
  Select Case Err.Number
    Case 53
      'No existe el archivo
      ExisteArchivo = False
    Case Else
      ExisteArchivo = False
  End Select
End Function


Public Function PathCorto(strArchivo As String) As String
'Obtiene el path corto del archivo strArchivo
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim ret As Long
Dim strTemp As String * 250 'Buffer
ret = GetShortPathName(strArchivo, strTemp, 164) 'Obtenemos el Path corto
PathCorto = Replace(strTemp, Chr(0), "") 'Sacamos los nulos al path
End Function

