Attribute VB_Name = "modProcedimientos"
Option Explicit

'Funcin Api GetShortPathName para obtener los paths de los archivos en formato corto
Public Declare Function GetShortPathName Lib "kernel32" Alias "GetShortPathNameA" (ByVal lpszLongPath As String, ByVal lpszShortPath As String, ByVal lBuffer As Long) As Long

'Funcin Api mciExecute para reproducir los archivos de msica
Public Declare Function mciExecute Lib "winmm.dll" (ByVal lpstrCommand As String) As Long


Public Sub CrearPiezas(intFilas As Integer, intColumnas As Integer)
On Error GoTo ErrorAlCrearPiezas
Dim intAux As Integer, intAuxF As Integer, intAuxC As Integer
Dim intTop As Integer, intLeft As Integer, intDescarga As Integer

intDescarga = 1
For intAux = 1 To intCantidadPiezas
  Unload frmPantalla.lblPieza(intAux)
Next intAux
DescargaDePiezasLista:

intCantidadPiezas = 0
intTop = 0
For intAuxF = 1 To intFilas
  intLeft = 0
  For intAuxC = 1 To intColumnas
    intCantidadPiezas = intCantidadPiezas + 1
    Load frmPantalla.lblPieza(intCantidadPiezas)
    frmPantalla.lblPieza(intCantidadPiezas).Top = intTop
    frmPantalla.lblPieza(intCantidadPiezas).Left = intLeft
    frmPantalla.lblPieza(intCantidadPiezas).Width = Int(frmPantalla.Width / intColumnas) + 10 'Le sumo 10 porque, sino, con algunas resoluciones puede quedar una lnea fina sin cubrir entre las piezas
    frmPantalla.lblPieza(intCantidadPiezas).Height = Int(frmPantalla.Height / intFilas) + 10 'Le sumo 10 porque, sino, con algunas resoluciones puede quedar una lnea fina sin cubrir entre las piezas
    frmPantalla.lblPieza(intCantidadPiezas).BackColor = Pantallas(intPantallaActual).lngColorFrente
    frmPantalla.lblPieza(intCantidadPiezas).BorderStyle = IIf(Pantallas(intPantallaActual).blnBordes, 1, 0)
    frmPantalla.lblPieza(intCantidadPiezas).Visible = True
    intLeft = intLeft + Int(frmPantalla.Width / intColumnas)
  Next intAuxC
  intTop = intTop + Int(frmPantalla.Height / intFilas)
Next intAuxF

'Creo y cargo las imgenes principal y final
intDescarga = 2
Unload frmPantalla.imgPrincipal(1): Unload frmPantalla.imgFinal(1)
DescargaDeImagenesLista:

Load frmPantalla.imgPrincipal(1)
Load frmPantalla.imgFinal(1)
frmPantalla.imgFinal(1).Visible = False
frmPantalla.imgPrincipal(1).Visible = False
If (Pantallas(intPantallaActual).strImagenPrincipal <> "") Then
  frmPantalla.imgPrincipal(1).Stretch = True
  frmPantalla.imgPrincipal(1).LoadFrom = App.Path & "\archivos\" & Pantallas(intPantallaActual).strImagenPrincipal
  frmPantalla.imgPrincipal(1).Stretch = False
  frmPantalla.imgPrincipal(1).Width = frmPantalla.imgPrincipal(1).Width * (Pantallas(intPantallaActual).intPorcentajeImagenPrincipal / 100)
  frmPantalla.imgPrincipal(1).Height = frmPantalla.imgPrincipal(1).Height * (Pantallas(intPantallaActual).intPorcentajeImagenPrincipal / 100)
Else
  frmPantalla.imgPrincipal(1).LoadFrom = ""
End If
frmPantalla.imgPrincipal(1).Left = Int((frmPantalla.Width - frmPantalla.imgPrincipal(1).Width) / 2)
frmPantalla.imgPrincipal(1).Top = Int((frmPantalla.Height - frmPantalla.imgPrincipal(1).Height) / 2)
'El siguiente IF es para que cuando no hay cargada una imagen final no ponga una cruz
If (Pantallas(intPantallaActual).strImagenPrincipal <> "") Then
  frmPantalla.imgPrincipal(1).Visible = True
End If
If (Pantallas(intPantallaActual).strImagenFinal <> "") Then
  frmPantalla.imgFinal(1).Stretch = True
  frmPantalla.imgFinal(1).LoadFrom = App.Path & "\archivos\" & Pantallas(intPantallaActual).strImagenFinal
  frmPantalla.imgFinal(1).Stretch = False
  frmPantalla.imgFinal(1).Width = frmPantalla.imgFinal(1).Width * (Pantallas(intPantallaActual).intPorcentajeImagenFinal / 100)
  frmPantalla.imgFinal(1).Height = frmPantalla.imgFinal(1).Height * (Pantallas(intPantallaActual).intPorcentajeImagenFinal / 100)
Else
  frmPantalla.imgFinal(1).LoadFrom = ""
End If
frmPantalla.imgFinal(1).Left = Int((frmPantalla.Width - frmPantalla.imgFinal(1).Width) / 2)
frmPantalla.imgFinal(1).Top = Int((frmPantalla.Height - frmPantalla.imgFinal(1).Height) / 2)
frmPantalla.imgFinal(1).Visible = False

frmPantalla.BackColor = Pantallas(intPantallaActual).lngColorFondo

'Inicializo el vector y la variable para manejar las piezas tapadas
intCantidadPiezasTapadas = intCantidadPiezas
For intAux = 1 To intCantidadPiezasTapadas
  intPiezasTapadas(intAux) = intAux
Next intAux

Exit Sub
ErrorAlCrearPiezas:
  Select Case Err.Number
    Case 340 '(El elemento de la matriz no existe) Se est tratando de descargar una tecla que no existe
      Select Case intDescarga
        Case 1
          Resume DescargaDePiezasLista
        Case 2
          Resume DescargaDeImagenesLista
        Case Else
          '
      End Select
    Case Else
      Rem Resume Next '(Control para rutina de error: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
      On Error GoTo 0: Resume
  End Select
End Sub


Public Sub Siguiente()
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
frmPantalla.tmrEsperaImagenFinal.Enabled = False
If (intPantallaActual < (intCantidadPantallas - 1)) Then
  intPantallaActual = intPantallaActual + 1
  frmPantalla.imgPrincipal(1).Visible = False 'Evaluar si esta lnea es realmente necesaria, y si, sacndola, no se genera un parpadeo o algo similar al pasar de pantalla
  CrearPiezas Pantallas(intPantallaActual).intFilas, Pantallas(intPantallaActual).intColumnas
Else
  If (blnVolverALaPrimeraPantalla = True) Then
    intPantallaActual = 0
    CrearPiezas Pantallas(intPantallaActual).intFilas, Pantallas(intPantallaActual).intColumnas
  End If
End If
End Sub


Public Sub Anterior()
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
If (intPantallaActual > 0) Then
  intPantallaActual = intPantallaActual - 1
  CrearPiezas Pantallas(intPantallaActual).intFilas, Pantallas(intPantallaActual).intColumnas
End If
End Sub


Public Sub EliminarDelVectorPiezasTapadas(intPieza As Integer)
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intAux As Integer, intIndicePieza As Integer
intIndicePieza = 1
Do While (intPiezasTapadas(intIndicePieza) <> intPieza)
  intIndicePieza = intIndicePieza + 1
Loop
For intAux = intIndicePieza To intCantidadPiezasTapadas - 1
  intPiezasTapadas(intAux) = intPiezasTapadas(intAux + 1)
Next intAux
intCantidadPiezasTapadas = intCantidadPiezasTapadas - 1
End Sub


Public Sub EliminarPieza(intPieza As Integer)
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
frmPantalla.lblPieza(intPieza).Visible = False
EliminarDelVectorPiezasTapadas (intPieza)
If (Pantallas(intPantallaActual).strSonido1 <> "") Then
  ReproducirSonido App.Path & "\archivos\" & Pantallas(intPantallaActual).strSonido1
End If
If (intCantidadPiezasTapadas = 0) Then
  If (Pantallas(intPantallaActual).strSonidoFinal <> "") Then
    ReproducirSonido App.Path & "\archivos\" & Pantallas(intPantallaActual).strSonidoFinal
  End If
  If (Pantallas(intPantallaActual).strImagenFinal <> "") Then
       frmPantalla.tmrEsperaImagenFinal.Interval = ((Pantallas(intPantallaActual).intEsperaAntesDeLaImagenFinalPantalla + intEsperaAntesDeLaImagenFinalParaTodas) * 1000) + 1
       frmPantalla.tmrEsperaImagenFinal.Enabled = True
  End If
End If
End Sub


Sub ActivarSwitch1()
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intAux As Integer
If (intCantidadPiezasTapadas > 0) Then
  If (blnOrdenAleatorio = False) Then
    EliminarPieza (intPiezasTapadas(1))
  Else
    intAux = Int(Rnd * intCantidadPiezasTapadas) + 1
    EliminarPieza (intPiezasTapadas(intAux))
  End If
Else
  If (blnPasoAutomatico = True) Then
    Siguiente
  End If
End If
End Sub


Public Sub ReproducirSonido(ByVal strArchivo As String)
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
On Error Resume Next
mciExecute "Close All"
strArchivo = PathCorto(strArchivo)
If (strArchivo <> "") Then
  mciExecute "Play " & strArchivo
End If
End Sub


Public Sub AsignarValorAlCombo(cboCombo As Control, strValor As String)
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intAux As Integer
intAux = 0
Do While ((intAux < cboCombo.ListCount) And (cboCombo.List(intAux) <> strValor))
  intAux = intAux + 1
Loop
If (intAux < cboCombo.ListCount) Then
  cboCombo.ListIndex = intAux
Else
  cboCombo.ListIndex = 0
End If
End Sub


Public Sub AbrirGrupo(strGrupo As String)
On Error GoTo ErrorAlAbrirGrupo
Dim intNumFich As Integer, intAux As Integer

'Leo el archivo de grupo
intNumFich = FreeFile
Open App.Path & "\" & strGrupo & ".des" For Input As intNumFich

Input #intNumFich, intCantidadPantallas  'Leo la cantidad de pantallas
For intAux = 0 To intCantidadPantallas - 1
  'Leo los datos de cada pantalla
  Input #intNumFich, Pantallas(intAux).intFilas
  Input #intNumFich, Pantallas(intAux).intColumnas
  Input #intNumFich, Pantallas(intAux).lngColorFondo
  Input #intNumFich, Pantallas(intAux).lngColorFrente
  Input #intNumFich, Pantallas(intAux).strImagenPrincipal
  Input #intNumFich, Pantallas(intAux).strImagenFinal
  Input #intNumFich, Pantallas(intAux).intPorcentajeImagenPrincipal
  Input #intNumFich, Pantallas(intAux).intPorcentajeImagenFinal
  Input #intNumFich, Pantallas(intAux).strSonido1
  Input #intNumFich, Pantallas(intAux).strSonidoFinal
  Input #intNumFich, Pantallas(intAux).blnBordes
  Input #intNumFich, Pantallas(intAux).intEsperaAntesDeLaImagenFinalPantalla
Next intAux

Close intNumFich
Exit Sub

DatosPorDefectoParaAbrirGrupo:
intCantidadPantallas = 1
Pantallas(1).intFilas = 2
Pantallas(1).intColumnas = 2
Pantallas(1).lngColorFondo = 16777215
Pantallas(1).lngColorFrente = 12615680
Pantallas(1).strImagenPrincipal = "contento.gif"
Pantallas(1).strImagenFinal = ""
Pantallas(1).intPorcentajeImagenPrincipal = 100
Pantallas(1).intPorcentajeImagenFinal = 100
Pantallas(1).strSonido1 = "clic.wav"
Pantallas(1).strSonidoFinal = "grito.wav"
Pantallas(1).blnBordes = True
Pantallas(1).intEsperaAntesDeLaImagenFinalPantalla = 0

Close intNumFich

Exit Sub
ErrorAlAbrirGrupo:
  Select Case Err.Number
    Case 53 'No existe el archivo
      Resume DatosPorDefectoParaAbrirGrupo
    Case 62 'El archivo tiene menos lneas que las necesarias
      Close intNumFich
      Resume DatosPorDefectoParaAbrirGrupo
    Case Else
      Rem Resume Next '(Control para rutina de error: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
      On Error GoTo 0: Resume
  End Select
End Sub


Public Sub ActualizarPantalla(intNumPantalla As Integer)
On Error GoTo ErrorAlActualizarPantalla
Dim intImagenACargar As Integer

frmOpciones.txtFilas.Text = Trim(Str(Pantallas(intNumPantalla).intFilas))
frmOpciones.txtColumnas.Text = Trim(Str(Pantallas(intNumPantalla).intColumnas))
frmOpciones.txtColorFondo.BackColor = Pantallas(intNumPantalla).lngColorFondo
frmOpciones.txtColorFrente.BackColor = Pantallas(intNumPantalla).lngColorFrente
If (Pantallas(intNumPantalla).strImagenPrincipal <> "") Then
  intImagenACargar = 1
  frmOpciones.imgWebImagenPrincipal.Visible = False
  frmOpciones.imgWebImagenPrincipal.LoadFrom = App.Path & "\archivos\" & Pantallas(intNumPantalla).strImagenPrincipal
  frmOpciones.imgWebImagenPrincipal.Visible = True
Else
  frmOpciones.imgWebImagenPrincipal.Visible = False
End If
If (Pantallas(intNumPantalla).strImagenFinal <> "") Then
  intImagenACargar = 2
  frmOpciones.imgWebImagenFinal.Visible = False
  frmOpciones.imgWebImagenFinal.LoadFrom = App.Path & "\archivos\" & Pantallas(intNumPantalla).strImagenFinal
  frmOpciones.imgWebImagenFinal.Visible = True
Else
  frmOpciones.imgWebImagenFinal.Visible = False
End If
frmOpciones.txtSonido1.Text = Pantallas(intNumPantalla).strSonido1
frmOpciones.txtSonidoFinal.Text = Pantallas(intNumPantalla).strSonidoFinal
frmOpciones.chkBordes.Value = IIf(Pantallas(intNumPantalla).blnBordes, 1, 0)
frmOpciones.txtEsperaAntesDeImagenFinal.Text = Trim(Str(Pantallas(intNumPantalla).intEsperaAntesDeLaImagenFinalPantalla))

AsignarValorAlCombo frmOpciones.cboTamanoImagenPrincipal, Trim(Str(Pantallas(intNumPantalla).intPorcentajeImagenPrincipal)) & " %"
AsignarValorAlCombo frmOpciones.cboTamanoImagenFinal, Trim(Str(Pantallas(intNumPantalla).intPorcentajeImagenFinal)) & " %"

Exit Sub
ErrorAlActualizarPantalla:
  Select Case Err.Number
    Case 53 'No existe el archivo
      'No pongo ninguna imagen donde debera ir la del archivo que falta
      If (intImagenACargar = 1) Then
        frmOpciones.imgWebImagenPrincipal.Visible = False
      Else
        frmOpciones.imgWebImagenFinal.Visible = False
      End If
      Resume Next
    Case Else
      Rem Resume Next '(Control para rutina de error: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
      On Error GoTo 0: Resume
  End Select
End Sub


Public Sub GuardarGrupo(strGrupo As String)
On Error GoTo ErrorAlGuardarGrupo
Dim intNumFich As Integer, intAux As Integer

'Guardo el archivo de grupo
intNumFich = FreeFile
Open App.Path & "\" & strGrupo & ".des" For Output As intNumFich

Write #intNumFich, intCantidadPantallas  'Guardo la cantidad de pantallas
For intAux = 0 To intCantidadPantallas - 1
  'Guardo los datos de cada pantalla
  Write #intNumFich, Pantallas(intAux).intFilas
  Write #intNumFich, Pantallas(intAux).intColumnas
  Write #intNumFich, Pantallas(intAux).lngColorFondo
  Write #intNumFich, Pantallas(intAux).lngColorFrente
  Write #intNumFich, Pantallas(intAux).strImagenPrincipal
  Write #intNumFich, Pantallas(intAux).strImagenFinal
  Write #intNumFich, Pantallas(intAux).intPorcentajeImagenPrincipal
  Write #intNumFich, Pantallas(intAux).intPorcentajeImagenFinal
  Write #intNumFich, Pantallas(intAux).strSonido1
  Write #intNumFich, Pantallas(intAux).strSonidoFinal
  Write #intNumFich, Pantallas(intAux).blnBordes
  Write #intNumFich, Pantallas(intAux).intEsperaAntesDeLaImagenFinalPantalla
Next intAux
  
SaltarGuardarGrupo:
  Close intNumFich

Exit Sub
ErrorAlGuardarGrupo:
  Select Case Err.Number
    Case 53 'No existe el archivo
      Resume SaltarGuardarGrupo
    Case 62 'El archivo tiene menos lneas que las necesarias
      Close intNumFich
      Resume SaltarGuardarGrupo
    Case Else
      Rem Resume Next '(Control para rutina de error: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
      On Error GoTo 0: Resume
  End Select
End Sub


Public Sub LeerArchivoIdioma()
On Error GoTo ErrorEnLeerArchivoIdioma
Dim intNumFich As Integer, intAux As Integer

'Leo el archivo de idioma
intNumFich = FreeFile
Open App.Path & "\" & Trim(strIdioma) & ".lng" For Input As intNumFich

Input #intNumFich, titDescubrir
Input #intNumFich, titVersin
Input #intNumFich, titAceptar
Input #intNumFich, titManual
Input #intNumFich, titCerrar
Input #intNumFich, titGrupo
Input #intNumFich, titGruposypantallas
Input #intNumFich, titAgregargrupo
Input #intNumFich, titEliminargrupo
Input #intNumFich, titExportar
Input #intNumFich, titImportar
Input #intNumFich, titPantalla
Input #intNumFich, titAgregarpant
Input #intNumFich, titEliminarpant
Input #intNumFich, titReubicarpant
Input #intNumFich, titFilas
Input #intNumFich, titColumnas
Input #intNumFich, titColordelfondo
Input #intNumFich, titColordelfrente
Input #intNumFich, titMostrarbordes
Input #intNumFich, titImagenprincipal
Input #intNumFich, titModificar
Input #intNumFich, titQuitar
Input #intNumFich, titTamao
Input #intNumFich, titImagenfinal
Input #intNumFich, titSonidoparacadapieza
Input #intNumFich, titSonidofinal
Input #intNumFich, titProbar
Input #intNumFich, titPermitir
Input #intNumFich, titOrdenaleatorio
Input #intNumFich, titUsarubicacindelmouse
Input #intNumFich, titVolveralaprimera
Input #intNumFich, titEjecutar
Input #intNumFich, titAyuda
Input #intNumFich, titSalir
Input #intNumFich, titIdioma
Input #intNumFich, titCrearunnuevogrupo
Input #intNumFich, titIngreseelnombredelgrupo
Input #intNumFich, titAtencin
Input #intNumFich, titDeseaeliminarelgrupo
Input #intNumFich, titEstsegurodeeliminarestapantalla
Input #intNumFich, titIngreseelnuevonmerodepantalla
Input #intNumFich, titSeleccionarimagen
Input #intNumFich, titSeleccionarsonido
Input #intNumFich, titSeleccionaridioma
Input #intNumFich, titSeleccionardiscoycarpeta
Input #intNumFich, titSeleccionarelgrupoaimportar
Input #intNumFich, titDeseasalirdelprograma
Input #intNumFich, titEsegrupoyaexiste
Input #intNumFich, titError
Input #intNumFich, titElnombredelgruposlopuede
Input #intNumFich, titNoesposibleeliminarelgrupo
Input #intNumFich, titElnmerodepantalladebeestar
Input #intNumFich, titElnuevonmerodepantalladebe
Input #intNumFich, titNosepuedencrearmsde100
Input #intNumFich, titNosepuedeneliminartodas
Input #intNumFich, titNosepuedencrearpantallascon
Input #intNumFich, titArchivosdeidioma
Input #intNumFich, titArchivosdeimagen
Input #intNumFich, titArchivosdesonido
Input #intNumFich, titEsperaantesde
Input #intNumFich, titEsperaantesdetodas
Input #intNumFich, titElarchivodeayuda
Input #intNumFich, titYaexisteungrupo
Input #intNumFich, titEnesacarpeta
Input #intNumFich, titNosepuedeexportar
Input #intNumFich, titNosepuedeimportar
Input #intNumFich, titAyuda1
Input #intNumFich, titAyuda2
Input #intNumFich, titAyuda3
Input #intNumFich, titAyuda4
Input #intNumFich, titAyuda5
Input #intNumFich, titAyuda6
Input #intNumFich, titAyuda7
Input #intNumFich, titAyuda8
Input #intNumFich, titAyuda9
Input #intNumFich, titAyuda10
Input #intNumFich, titAyuda11

Close intNumFich
Exit Sub

CargaPorDefectoArchivoIdioma:
'Establece valores por defecto para las variables de idioma (ya que no se encontr el archivo .lng correspondiente)
titDescubrir = "Descubrir"
titVersin = "Versin"
titAceptar = "&Aceptar"
titManual = "&Manual"
titCerrar = "&Cerrar"
titGrupo = "Grupo"
titGruposypantallas = "Grupos y pantallas"
titAgregargrupo = "A&gregar g."
titEliminargrupo = "Elimi&nar g."
titExportar = "E&xportar"
titImportar = "Impor&tar"
titPantalla = "Pantalla"
titAgregarpant = "&Agregar pant."
titEliminarpant = "E&liminar pant."
titReubicarpant = "Reubicar pant."
titFilas = "Filas"
titColumnas = "Columnas"
titColordelfondo = "Color del fondo"
titColordelfrente = "Color del frente"
titMostrarbordes = "Mostrar bordes de las piezas"
titImagenprincipal = "Imagen principal"
titModificar = "&Modif."
titQuitar = "&Quitar"
titTamao = "Tamao"
titImagenfinal = "Imagen final"
titSonidoparacadapieza = "Sonido para cada pieza"
titSonidofinal = "Sonido final"
titProbar = "&Probar"
titPermitir = "Permitir paso automtico de pantallas"
titOrdenaleatorio = "Orden aleatorio"
titUsarubicacindelmouse = "Usar ubicacin del mouse"
titVolveralaprimera = "Volver a la primera pantalla"
titEjecutar = "&Ejecutar"
titAyuda = "A&yuda"
titSalir = "&Salir"
titIdioma = "&Idioma"
titCrearunnuevogrupo = "Crear un nuevo grupo"
titIngreseelnombredelgrupo = "Ingrese el nombre del grupo"
titAtencin = "Atencin"
titDeseaeliminarelgrupo = "Desea eliminar el grupo actual con todas sus pantallas?"
titEstsegurodeeliminarestapantalla = "Est seguro de eliminar esta pantalla?"
titIngreseelnuevonmerodepantalla = "Ingrese el nuevo nmero de pantalla que desea para la pantalla actual"
titSeleccionarimagen = "Seleccionar imagen"
titSeleccionarsonido = "Seleccionar sonido"
titSeleccionaridioma = "Seleccionar idioma"
titSeleccionardiscoycarpeta = "Seleccionar disco y carpeta donde exportar"
titSeleccionarelgrupoaimportar = "Seleccionar el grupo a importar"
titDeseasalirdelprograma = "Desea salir del programa?"
titEsegrupoyaexiste = "Ese grupo ya existe!"
titError = "Error"
titElnombredelgruposlopuede = "El nombre del grupo slo puede tener letras, nmeros y espacios"
titNoesposibleeliminarelgrupo = "No es posible eliminar el grupo 'general'!"
titElnmerodepantalladebeestar = "El nmero de pantalla debe estar entre 1 y"
titElnuevonmerodepantalladebe = "El nuevo nmero de pantalla debe ser distinto del actual"
titNosepuedencrearmsde100 = "No se pueden crear ms de 100 pantallas"
titNosepuedeneliminartodas = "No se pueden eliminar todas las pantallas"
titNosepuedencrearpantallascon = "No se pueden crear pantallas con ms de 1000 celdas"
titArchivosdeidioma = "Archivos de idioma"
titArchivosdeimagen = "Archivos de imagen"
titArchivosdesonido = "Archivos de sonido"
titEsperaantesde = "Espera antes de la i. final"
titEsperaantesdetodas = "Espera antes de la imagen final para todas las pantallas"
titElarchivodeayuda = "El archivo de ayuda no se encuentra en la carpeta del programa. Puede descargarlo de la pgina web www.antoniosacco.com.ar"
titYaexisteungrupo = "Ya existe un grupo llamado "
titEnesacarpeta = " en esa carpeta. Desea sobreescribirlo?"
titNosepuedeexportar = "No se puede exportar un grupo a la carpeta del programa."
titNosepuedeimportar = "No se puede importar un grupo de la carpeta del programa."
titAyuda1 = "Descubrir"
titAyuda2 = "Esta versin fue desarrollada en julio de 2008"
titAyuda3 = "en La Plata, Buenos Aires, Argentina."
titAyuda4 = "A partir de una idea basada en el software 'Reveal'."
titAyuda5 = "Anlisis, diseo y programacin:"
titAyuda6 = "Antonio Sacco"
titAyuda7 = "Se agradecer cualquier comentario o sugerencia enviada"
titAyuda8 = "por correo electrnico a info@antoniosacco.com.ar"
titAyuda9 = "En la WWW visite"
titAyuda10 = "www.aumentativa.net"
titAyuda11 = "www.antoniosacco.com.ar"

Close intNumFich
Exit Sub

ErrorEnLeerArchivoIdioma:
  Select Case Err.Number
    Case 53 'No existe el archivo .lng
      Resume CargaPorDefectoArchivoIdioma
    Case 62 'El archivo .lng tiene menos lneas que las necesarias
      Resume CargaPorDefectoArchivoIdioma
    Case Else
      Resume CargaPorDefectoArchivoIdioma
  End Select
End Sub


Public Sub SepararPorDosPuntos(strCadena As String, ByRef strPrimeraParte As String, ByRef strSegundaParte As String)
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intPos As Integer
intPos = InStr(strCadena, ":")
If (intPos > 0) Then
  strPrimeraParte = Mid(strCadena, 1, intPos - 1)
  strSegundaParte = Mid(strCadena, intPos + 1, Len(strCadena) - intPos)
Else
  strPrimeraParte = ""
  strSegundaParte = ""
End If
End Sub


Public Sub LeerArchivoIni()
On Error GoTo ErrorAlLeerElIni
Dim intNumFichero As Integer, strCadenaLeida As String, strAux1 As String, strAux2 As String
intNumFichero = FreeFile
Open App.Path & "\descubrir.ini" For Input As intNumFichero
Input #intNumFichero, strCadenaLeida 'Lee el nombre del programa
Input #intNumFichero, strCadenaLeida 'Lee la versin del programa
SepararPorDosPuntos strCadenaLeida, strAux1, strVersion
Input #intNumFichero, strCadenaLeida 'Lee blnPasoAutomatico
SepararPorDosPuntos strCadenaLeida, strAux1, strAux2
blnPasoAutomatico = strAux2
Input #intNumFichero, strCadenaLeida 'Lee blnOrdenAleatorio
SepararPorDosPuntos strCadenaLeida, strAux1, strAux2
blnOrdenAleatorio = strAux2
Input #intNumFichero, strCadenaLeida 'Lee blnPermitirMouse
SepararPorDosPuntos strCadenaLeida, strAux1, strAux2
blnPermitirMouse = strAux2
Input #intNumFichero, strCadenaLeida 'Lee blnVolverALaPrimeraPantalla
SepararPorDosPuntos strCadenaLeida, strAux1, strAux2
blnVolverALaPrimeraPantalla = strAux2
Input #intNumFichero, strCadenaLeida 'Lee intEsperaAntesDeLaImagenFinalParaTodas
SepararPorDosPuntos strCadenaLeida, strAux1, strAux2
intEsperaAntesDeLaImagenFinalParaTodas = Val(strAux2)
Input #intNumFichero, strCadenaLeida 'Lee strUltimoGrupo
SepararPorDosPuntos strCadenaLeida, strAux1, strUltimoGrupo
Input #intNumFichero, strCadenaLeida 'Lee strIdioma
SepararPorDosPuntos strCadenaLeida, strAux1, strIdioma
Input #intNumFichero, strCadenaLeida 'Lee blnComienzoAutomtico
SepararPorDosPuntos strCadenaLeida, strAux1, strAux2
blnComienzoAutomtico = strAux2

Close intNumFichero
Exit Sub

CargaPorDefecto:
'Establezco valores iniciales por defecto (ya que no se encontr descubrir.ini)
strVersion = App.Major & "." & App.Minor
blnPasoAutomatico = True
blnOrdenAleatorio = True
blnPermitirMouse = False
blnVolverALaPrimeraPantalla = True
intEsperaAntesDeLaImagenFinalParaTodas = 0
strUltimoGrupo = "general"
strIdioma = "espaol"
Exit Sub

ErrorAlLeerElIni:
  Select Case Err.Number
    Case 53 'No existe el archivo .ini
      Resume CargaPorDefecto
    Case 62 'El archivo .ini tiene menos lneas que las necesarias
      Close intNumFichero
      Resume CargaPorDefecto
    Case Else
      Rem Resume Next '(Control para rutina de error: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
      On Error GoTo 0: Resume
  End Select
End Sub


Public Sub GuardarArchivoIni()
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
'Guardo los datos de inicializacin
Dim intNumFichero As Integer
intNumFichero = FreeFile
Open App.Path & "\descubrir.ini" For Output As intNumFichero
Write #intNumFichero, "Descubrir"
Write #intNumFichero, "Versin:" & App.Major & "." & App.Minor
Write #intNumFichero, "Paso automtico:" & blnPasoAutomatico
Write #intNumFichero, "Orden aleatorio:" & blnOrdenAleatorio
Write #intNumFichero, "Permitir mouse:" & blnPermitirMouse
Write #intNumFichero, "Volver a la primera pantalla:" & blnVolverALaPrimeraPantalla
Write #intNumFichero, "Espera antes de la imagen final para todas:" & intEsperaAntesDeLaImagenFinalParaTodas
Write #intNumFichero, "ltimo grupo utilizado:" & strUltimoGrupo
Write #intNumFichero, "Idioma:" & strIdioma
Write #intNumFichero, "Comienzo automtico:" & blnComienzoAutomtico
Close intNumFichero
End Sub

